Classes | Namespaces
EPUBHTMLGenerator.cpp File Reference
`#include <cmath>`
`#include <memory>`
`#include <sstream>`
`#include <stack>`
`#include <string>`
`#include <boost/algorithm/string/replace.hpp>`
`#include "EPUBHTMLGenerator.h"`
`#include "EPUBImageManager.h"`
`#include "EPUBListStyleManager.h"`
`#include "EPUBParagraphStyleManager.h"`
`#include "EPUBPath.h"`
`#include "EPUBSpanStyleManager.h"`
`#include "EPUBTableStyleManager.h"`
`#include "libepubgen_utils.h"`

## Classes
struct | libepubgen::EPUBHTMLGeneratorImpl
| the internal state of a html document generator More...

## Namespaces
| libepubgen

## Variable Documentation

## ◆ m_actualId

int m_actualId
| mutable protected

the actual id

## ◆ m_delayedLabel

ZoneSinkImpl m_delayedLabel
| protected

the label

## ◆ m_lastCloseElement

std::string m_lastCloseElement
| private

## ◆ m_sink

ZoneSinkImpl m_sink
| private

the sink

## ◆ m_type

Type m_type
| protected

the zone type

## ◆ m_version

int m_version
| protected

## ◆ m_zone

EPUBHTMLTextZone* m_zone
| protected

a zone

## ◆ m_zoneId

int m_zoneId
| protected

the zone id

## ◆ m_zoneSinks

std::vector<ZoneSinkImpl> m_zoneSinks
| protected

the list of data string